import { EventEmitter, NgZone, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { Contact } from '../../interfaces';
export declare class ContactFormComponent implements OnInit {
    private zone;
    private formBuilder;
    backUrl: string[];
    model: Contact;
    save: EventEmitter<Contact>;
    form: FormGroup;
    formErrors: any;
    private readonly errors;
    constructor(zone: NgZone, formBuilder: FormBuilder);
    ngOnInit(): void;
    createForm(): void;
    onValueChanged(): void;
    onSubmit(): void;
}
