import { BrowserDatabase } from 'browser-database';
import { Contact, ContactFilter } from '../interfaces';
export declare class DatabaseService {
    readonly contactModel: string;
    private readonly contactFilterModel;
    private readonly contactFilterId;
    browserDatabase: BrowserDatabase;
    insert(contact: Contact): Promise<object>;
    update(contactId: number | string, contact: Contact): Promise<object>;
    getById(contactId: number | string): Promise<object>;
    getAll(): Promise<object>;
    loadFilter(): Promise<object>;
    createDefaultFilter(): Promise<object>;
    saveFilter(filter: ContactFilter): Promise<object>;
}
